#!/bin/bash

file="/etc/tgb/tgbtun.params"

if [ ! -f "$file" ]; then
	echo "$(date) missing tgbtun.params in /etc/tgb" >> /var/log/thegreenbow/tgbiked.log
	exit 0
fi

re="^kernel-requires=.*$"
kr=$(cat $file | grep "$re" | sed -E 's/^kernel-requires=//')

if [ -z "$kr" ]; then
	echo "$(date) kernel-requires not found or empty" >> /var/log/thegreenbow/tgbiked.log
	exit 0
fi

kernel=$(uname -r)

echo "$(date) using kernel version $kernel, requires kernel version $kr" >> /var/log/thegreenbow/tgbiked.log

if [ -z `echo $kernel | grep -E "$kr"` ]; then
        echo "$(date) unsupported kernel, kernel version mismatch (actual: '$kernel', required: '$kr')" >> /var/log/thegreenbow/tgbiked.log
        exit 0
fi

echo "$(date) supported kernel, kernel version match (actual: '$kernel', required: '$kr')" >> /var/log/thegreenbow/tgbiked.log

echo "$(date) running modprobe tgbtun" >> /var/log/thegreenbow/tgbiked.log
modprobe tgbtun

exit 0
